org.apache.ignite.internal

## Class SecurityCredentialsAttrFilterPredicate

- java.lang.Object
- - org.apache.ignite.internal.SecurityCredentialsAttrFilterPredicate

All Implemented Interfaces:
  Serializable, IgnitePredicate<String>

    public class SecurityCredentialsAttrFilterPredicate
    extends Object
    implements IgnitePredicate<String>

Predicate to filter out security credentials attribute by its name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SecurityCredentialsAttrFilterPredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(String s)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityCredentialsAttrFilterPredicate

    public SecurityCredentialsAttrFilterPredicate()

### Method Detail

#### apply

    public boolean apply(String s)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<String>`
Parameters:
  `s` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019